Kompatibilität von LabVIEW und NI-DAQmx

Überblick

Auf dieser Seite sind die von LabVIEW und vom LabVIEW Real-Time-Development-System unterstützten Versionen des Hardwaretreibers NI-DAQmx aufgelistet. Lesen Sie diese Angaben durch, um sicherzustellen, dass Sie die korrekte Version der Software installieren, wenn Sie Ihr System oder Ihre Software aktualisieren. Bei der Verwendung inkompatibler Softwareversionen können Fehler auftreten, LabVIEW-Paletten oder -Funktionen fehlen oder Geräte und Tasks könnten nicht ordnungsgemäß im NI Measurement & Automation Explorer (MAX) angezeigt werden.

Bitte beachten Sie, dass dieser Artikel den KnowledgeBase 3PIA89N5 ersetzt: Kompatibilität unterschiedlicher Versionen von LabVIEW und NI-DAQmx. In manchen NI-Handbüchern wird möglicherweise noch der veraltete Artikel erwähnt. Wenn Sie von der URL des veralteten Dokuments auf diese Seite weitergeleitet wurden, aktualisieren Sie bitte Ihre Lesezeichen.

Inhalt

Kompatibilität von NI-DAQmx mit LabVIEW Service-Packs

Service-Packs von LabVIEW wirken sich nicht auf die Kompatibilität mit NI-DAQmx aus. DAQmx 15.0 ist beispielsweise mit LabVIEW 2015 kompatibel und daher auch mit LabVIEW 2015 SP1. Dies gilt nicht unbedingt für andere NI-Gerätetreiber.

Tabelle zur Kompatibilität von LabVIEW und NI-DAQmx

Informationen zur Kompatibilität von NI-DAQmx und LabVIEW NXG finden Sie in diesem Dokument.  Angaben zur Kompatibilität von älteren Versionen von DAQmx oder LabVIEW finden Sie im Anhang „DAQmx LabVIEW Kompatibilitätstabelle“ im Abschnitt Downloads dieses Dokuments. 

Mithilfe dieser Tabelle können Sie Versionen von NI-DAQmx mit kompatiblen Versionen von LabVIEW vergleichen.

NI-DAQmx Version Version von LabVIEW/LabVIEW-Real-Time  
2020 2019 2018 2017 2016 2015 2014 2013 2012
20.0                  
19.6                  
19.5                  
19.1                  
19.0                  
18.6                  
18.5                  
18.1                  
18.0                  
17.6                  
17.5                  
17.1.1                  
17.1                  
17.0                  

Kompatibel